Subject: Re: PCI Bus Mapping for MPC8548 with multiple PCI interfaces

From: Arnd Bergmann <[email-masked]>
Date: Mon, 29 Sep 2008 14:35:10 +0200

On Monday 29 September 2008, Ralf Tr=FCbenbach wrote:
> Every bus is mapped independently. And PciConfigRead/Write functions
> convert the bus no. so that upper layers (and user) see a bus mapping
> similar to A). =20
>=20
> Maybe someone knows how U-Boot or Linux would map the interfaces?
>=20

You should use your option B) in the firmware, i.e. set up every PCI
independently from the others, startig at bus 0.

You should not fake the bus mapping but rather show the pci domains
separately to user space.

	Arnd <><